app_authentication/urls.py
from django.conf.urls import url
from .views import index, login
from .custom_auth import auth_login, auth_logout

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^login/$', login, name='login'),

  
    url(r'^custom_auth/login/$', auth_login, name='auth_login'),
    url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
]

app_mahasiswa/urls.py
from django.conf.urls import url
from .views import index
from .views_profile import *
from .views_status import *


urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^profile/$', profile, name='profile'),
    url(r'^edit-profile/save/$', save_perubahan, name='save_perubahan'),
    url(r'^add_status/$', add_status, name='add_status'),
    url(r'^delete_status/(?P<id>\w{0,50})/$', delete_status, name='delete_status'),
]

tugas2ppw/urls.py
from django.conf.urls import url, include
from django.contrib import admin
import app_mahasiswa.urls as app_mahasiswa
import app_authentication.urls as app_auth

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^', include(app_auth,namespace='app-auth')),
    url(r'^mahasiswa/', include(app_mahasiswa,namespace='app-mahasiswa'))
]

app_authentication/models.py
from django.db import models

# Create your models here.

app_mahasiswa/models.py
from django.db import models

# Create your models here.
class Pengguna(models.Model):
    kode_identitas = models.CharField('npm', max_length=20, primary_key=True, )
    nama = models.CharField('nama', max_length=200, default = 'kosong')
    username = models.CharField('username', max_length=200, default = 'kosong')
    created_at = models.DateTimeField(auto_now_add=True)
    foto_profil = models.CharField('profpic', max_length = 240, default = 'https://imageshack.com/i/pobCn3bBp')

class Status(models.Model):
    status = models.TextField()
    pengguna = models.ForeignKey(Pengguna, null = True)
    created_date = models.DateTimeField(auto_now_add=True)

app_mahasiswa/forms.py
from django import forms

class Status_Form(forms.Form):
    status_attrs = {
        'type': 'text',
        'rows': 4,
        'class' : 'form-control',
        'placeholder':"What's happening?",
        'style' : 'resize:none'
    }

    status = forms.CharField(label='', required=True, widget=forms.Textarea(attrs=status_attrs))

app_authentication/views.py
from __future__ import unicode_literals

from django.shortcuts import render
from django.urls import reverse
from django.http import HttpResponseRedirect

# Create your views here.

response = {'logged_in' : False}


def index(request):
    html = 'session/home.html'
    return render(request, html, response)

def login(request):
    if 'user_login' in request.session:
        return HttpResponseRedirect(reverse('app-mahasiswa:index'))
    else:
        html = 'session/login.html'
        return render(request, html, response)

app_mahasiswa/views.py
from __future__ import unicode_literals

from django.shortcuts import render
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.contrib import messages
# Create your views here.

response = {'author' : "Ester, Median, Naufal, Leo"}

def index(request):
    if 'user_login' not in request.session.keys():
        return HttpResponseRedirect('/login/')

    return HttpResponseRedirect('/mahasiswa/profile/')

app_authentication/templates/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" href="/css/bootstrap.min.css" />
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"></link>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
        <style>
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #E9967A;
            }
            h1{
                 font-size: 30px;
                 line-height: 1.2 !important;
                 margin-bottom: 30px !important;
                color: #008B8B;
                font-weight: 10;
                font-family: Arial;
            }
            h2{
                font-family: Trebuchet MS;
                color: #B8860B;
            }
            p{
                font-family: Tahoma;
                color: #5F9EA0;
                font-size: 14pt;
            }

            li {
                float: left;
            }

            li a {
                display: block;
                color:  #FFF8DC;
                text-align: center;
                padding: 20px 30px;
                text-decoration: none;
                font-size : 20px;
                font face : verdana;
            }

            li a:hover {
                background-color: #FFF8DC;
            }
            
            .button {
                background-color: blue;
                font-size: 15px;
                color: white;
                margin: 5px 0px;
            }
            .form-signin {
                max-width: 380px;
                padding: 15px 35px 45px;
                margin: 0 auto;
                background-color: #fff;
                border: 1px solid rgba(0, 0, 0, 0.1);
            }
            .form-signin .form-signin-heading,
            .form-signin .checkbox {
                margin-bottom: 30px;
            }
            .form-signin .checkbox {
                 font-weight: normal;
            }
            .form-signin .form-control {
                position: relative;
                font-size: 16px;
                height: auto;
                padding: 10px;
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                 box-sizing: border-box;
            }
            .form-signin .form-control:focus {
                z-index: 2;
            }
            .form-signin input[type="text"] {
                margin-bottom: -1px;
                border-bottom-left-radius: 0;
                border-bottom-right-radius: 0;
            }
            .form-signin input[type="password"] {
                margin-bottom: 20px;
                border-top-left-radius: 0;
                border-top-right-radius: 0;
            }
            
            
        </style>
    <link rel="stylesheet" type="text/css" href="../../static/css/tugas2.css" >
    <title>
        {% block title %} Tugas 2 PPW {% endblock %}
    </title>
</head>
<body style ="background-color : #FFF8DC">
    <!-- Your Header Here -->
    {% include "partials/header.html" %}
</header>
<content>
    <div class="container">
        {% for message in messages %}
        <div class="alert {{ message.tags }} alert-dismissible" role="alert" id="django-messages">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="margin-right: 15px;">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ message }}
        </div>
        {% endfor %}

        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
    </div>
</content>
<footer>
    {% block footer %}
    <!-- Your Footer Here -->
    {% include "partials/footer.html" %}
    {% endblock %}
</footer>

<!-- Jquery n Bootstrap Script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>    
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<!-- script tugas -->
<script src="{% static 'js/profile.js' %}"></script>
<script src="{% static 'js/riwayat.js' %}"></script>
<script src="{% static 'js/status.js' %}"></script>
<script src="{% static 'js/teman.js' %}"></script>
{% block javascript %}

{% endblock %}
</body>
</html>

app_authentication/templates/partials/footer.html
<div class="footer">
	<p><br>&copy; 2018 dibuat oleh mahasiswa Fasilkom</p>
</div>

app_authentication/templates/partials/header.html
<!-- header.html -->

app_authentication/templates/session/home.html
{% extends "layout/base.html" %}
{% block content %}


  <div class="gtco-loader"></div>
  <div id="page">
    <div id="gtco-header" class="gtco-cover" role="banner">
      <div class="gtco-container">
        <div class="row">
          <div class="col-md-12 col-md-offset-0 text-left">
            <div >
              <div>
                <div class="row">
                  <div class="col-md-5 text-center header-img">
                  </br>
                    <img src=https://imageshack.com/i/poVu4iKVj>
                    <h1>BukaHati.com</h1>
                  </div>
                  <div class="col-md-7 copy">
                    <h2>BukaHati</h2>
                    <p>Perusahaan BukaHati membuka peluang untuk:</p>
                    <p>1. Web Developer </br> 2. Mobile Developer</p>
                    </br>
                  </br>
                  </div>
                  <div class="col-md-7 copy" align="left">
                  <img src="https://imageshack.com/i/pmvmeWN2j" style="width:100px;height:130px;">
                  <p> <b><font color="#1E90FF">Ester Theresia </b></font>Pak, itu digaji gaa? </br> 
                    <a href="/login/" target="_blank" class="btn btn-default btn-primary">Login Mahasiswa</a> </p> 
                  </br>
                  <img src="https://imageshack.com/i/poVu4iKVj" style="width:100px;height:130px;">
                  <p> <b><font color="#1E90FF">BukaHati</b> </font></br>1. Web Developer : 10 jt </br> 2. Mobile Developer : 15 jt </br> <a href="" target="_blank" class="btn btn-default btn-primary">Login Perusahaan</a></p> 
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- END #gtco-header -->
{% endblock %}

app_authentication/templates/session/login.html
{% extends "layout/base.html" %}
{% block content %}

<div class="gtco-loader"></div>
    <div id="page">
        <div id="gtco-header" class="gtco-cover" role="banner">
            <div class="gtco-container">
                <div class="row">
                    <div class="col-md-12 col-md-offset-0 text-left">
                        <div class="display-t">
                            <div class="display-tc">
                                <div class="row">
                                    <div class="col-md-5 text-center header-img">
                                    </br>
                                    </br>
                                    </br>
                                        <img src=https://imageshack.com/i/poVu4iKVj>
                                        <h1>BukaHati</h1>
                                    </div>
                                    <div class="col-md-5 text-center header-img">
                                    </br>
                                    <div class="wrapper">
                                    <form class="form-signin" action="{% url 'app-auth:auth_login' %}" method="POST">
                                    {% csrf_token %}
                                    <h2 class="form-signin-heading">Login with SSO</h2>
                                        <input type="text" class="form-control" name="username" placeholder="Username SSO" required="" autofocus="" />
                                        <input type="password" class="form-control" name="password" placeholder="Password SSO" required=""/>      
                                        <label class="checkbox">
                                        <input type="checkbox" value="remember-me" id="rememberMe" name="rememberMe"> Remember me
                                        </label>
                                        <button class="btn btn-lg btn-primary btn-block" type="submit">Login</button>   
                                    </form>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



{% endblock %}

app_mahasiswa/templates/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" href="/css/bootstrap.min.css" />
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"></link>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
        <style>
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #E9967A;
            }
            h1{
                 font-size: 30px;
                 line-height: 1.2 !important;
                 margin-bottom: 30px !important;
                color: #008B8B;
                font-weight: 10;
                font-family: Arial;
            }
            h2{
                font-family: Trebuchet MS;
                color: #B8860B;
            }
            p{
                font-family: Tahoma;
                color: #5F9EA0;
                font-size: 14pt;
            }

            li {
                float: left;
            }

            li a {
                display: block;
                color:  #FFF8DC;
                text-align: center;
                padding: 20px 30px;
                text-decoration: none;
                font-size : 20px;
                font face : verdana;
            }

            li a:hover {
                background-color: #FFF8DC;
            }
            
            .button {
                background-color: blue;
                font-size: 15px;
                color: white;
                margin: 5px 0px;
            }
            .form-signin {
                max-width: 380px;
                padding: 15px 35px 45px;
                margin: 0 auto;
                background-color: #fff;
                border: 1px solid rgba(0, 0, 0, 0.1);
            }
            .form-signin .form-signin-heading,
            .form-signin .checkbox {
                margin-bottom: 30px;
            }
            .form-signin .checkbox {
                 font-weight: normal;
            }
            .form-signin .form-control {
                position: relative;
                font-size: 16px;
                height: auto;
                padding: 10px;
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                 box-sizing: border-box;
            }
            .form-signin .form-control:focus {
                z-index: 2;
            }
            .form-signin input[type="text"] {
                margin-bottom: -1px;
                border-bottom-left-radius: 0;
                border-bottom-right-radius: 0;
            }
            .form-signin input[type="password"] {
                margin-bottom: 20px;
                border-top-left-radius: 0;
                border-top-right-radius: 0;
            }
            
        </style>
    <link rel="stylesheet" type="text/css" href="../../static/css/tugas2.css" >
    <title>
        {% block title %} Tugas 2 PPW {% endblock %}
    </title>
</head>
<body style ="background-color : #FFF8DC">
    <!-- Your Header Here -->
    {% include "partials/header.html" %}
</header>
<content>
    <div class="container">
        {% for message in messages %}
        <div class="alert {{ message.tags }} alert-dismissible" role="alert" id="django-messages">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close" style="margin-right: 15px;">
                <span aria-hidden="true">&times;</span>
            </button>
            {{ message }}
        </div>
        {% endfor %}

        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
    </div>
</content>
<footer>
    {% block footer %}
    <!-- Your Footer Here -->
    {% include "partials/footer.html" %}
    {% endblock %}
</footer>

<!-- Jquery n Bootstrap Script -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>    
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<!-- script tugas -->
<script src="{% static 'js/profile.js' %}"></script>
<script src="{% static 'js/riwayat.js' %}"></script>
<script src="{% static 'js/status.js' %}"></script>
<script src="{% static 'js/teman.js' %}"></script>
{% block javascript %}

{% endblock %}
</body>
</html>

app_mahasiswa/templates/partials/footer.html
<div class="footer">
	<p><br>&copy; 2018 dibuat oleh mahasiswa Fasilkom</p>
</div>

app_mahasiswa/templates/partials/header.html
<!--header.html -->

app_mahasiswa/templates/session/homeMhs.html
{% extends "layout/base.html" %}
{% load static %}
{% block content %}

<h1>Selamat Datang, {{ username }}</h1>
<a href="{% url 'app-auth:auth_logout' %}" class="btn btn-default btn-primary pull-right" onclick="return confirm('Yakin Keluar?')">Logout </a>
<div>
    <img style="border: solid 3px white" src = "{{ foto_profil }}" alt = "profpic" width = "200px" height = "200px">
    <h4><strong>Status Terbaru :</strong></h4>

</div>
<div style="margin-top: 10px;">
    <a href = "" class = "btn btn-primary">Lihat Forum</a> 
    <a href = "" class = "btn btn-primary">Edit Profile</a> 
</div>

</br>
    <!-- Nav tabs -->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#profile" aria-controls="home" role="tab" data-toggle="tab"> Profile </a>
        </li>
        <li role="presentation">
            <a href="#riwayat" aria-controls="settings" role="tab" data-toggle="tab"> Riwayat </a>
        </li>
        <li role="presentation">
            <a href="#status" aria-controls="settings" role="tab" data-toggle="tab"> Status </a>
        </li>
        <li role="presentation">
            <a href="#teman" aria-controls="settings" role="tab" data-toggle="tab"> Teman </a>
        </li>
    </ul>

    <!-- Tab panes -->
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane fade in active" id="profile">
            {% include 'tables/profile.html' %}
        </div>
        <div role="tabpanel" class="tab-pane fade" id="riwayat">
            {% include 'tables/riwayat.html' %}
        </div>
        <div role="tabpanel" class="tab-pane fade" id="status">
            {% include 'tables/status.html' %}
        </div>
        <div role="tabpanel" class="tab-pane fade" id="teman">
            {% include 'tables/teman.html' %}
        </div>
    </div>
</div>
{% endblock %}

app_mahasiswa/templates/tables/status.html
{% load staticfiles %}
{% load static %}

<div class="panel panel-info">
        <div class="panel-body">
            <section name="input-list" id="input-list">
                <div class="container" style="width:100%;">
                    <form id="form" method="POST" action="{% url 'app-mahasiswa:add_status' %}">
                        <h2>Update Status</h2>
                        {% csrf_token %}
                        {{ status_form }}
                        <br>
                        <input id="post-button" type="submit" class="btn btn-lg btn-block btn-info" value="Post">
                    </form>
                </div>
            </section>
            <section name="list_sw" id="my-list">
                <div class="container" style="width:100%;">
                    <h2 >Status Anda : </h2> </br>
                    <div class="flex">
                    {% if model %}
                        {% for i in model %}
                            <div class="flex-item status-flex">
                                <div class="posted_status">
                                    <img class="img depe" width="50px" src = https://imageshack.com/i/pobCn3bBp >
                                    {{ i.pengguna.username }}
                                </div>
                                <div class="isi-status">{{i.status}}</div>
                                <div class="date-added" id="date-added">{{i.created_date}}</div>
                                <a href="/mahasiswa/delete_status/{{ i.id }}">
                                    <div class="delete-button" data-id={{i.id}}}>delete</div>
                                </a>
                            </div>
                        </br>
                        {% endfor %}
                    {% else %}
                    {% endif %}
                  </div>
                </div>
            </section>
        </div>
    </div>